Bug 432859 - snd_hda_intel fails after suspend/resume
snd_hda_intel fails after suspend/resume
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-14 15:10 EST by Peter Williams
Modified: 2008-11-26 14:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 14:35:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 281305 None None None Never

  None (edit)
Description Peter Williams 2008-02-14 15:10:28 EST
Description of problem:

When I suspend my Thinkpad T61 laptop to disk, and then resume it, sometimes the
snd_hda_intel driver becomes wedged in some way. I need to rmmod/modprobe the
snd_hda_intel module to get sound working again.

Version-Release number of selected component (if applicable):


How reproducible:

Not always, but probably 80% of the time.

Steps to Reproduce:
1. Have a computer which uses snd_hda_intel for sound.
2. Suspend it to disk (haven't experimented with suspend to RAM) and resume it.
3. Try 'paplay /path/to/a.wav'
Actual results: No sound.
Expected results: Sound.

Additional info:

The output of the PulseAudio daemon at times like this looks like:

ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_card_driver
returned error: No such device
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_concat returned
error: No such device
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned
error: No such device
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM front:0
E: module-alsa-sink.c: Error opening PCM device front:0: No such device

When the sound device dies, it causes problems for the PulseAudio daemon, but
the underlying problem seems to be snd_hda_intel. This seems to be conventional
wisdom among some people at least (cf the linked Novell bug report).
Comment 1 Peter Williams 2008-02-14 15:13:47 EST
Actually, Novell 2813045 is a better bug report reference. The OpenSUSE team
marked this particular bug as a WONTFIX, pending on the reporter trying things
on a post-2.6.22 kernel, but I'm using and have the same issue.
Comment 2 Baris Cicek 2008-05-19 10:25:49 EDT
I have a similar problem. However this time it's
reloading snd_hda_intel fixes the problem. Also in my case, it happens all the
time so I can supply necessary debugging info. On resume, everything related
with sound seems working (ie. rhythmbox keeps progressing etc.) but no sound
comes from the speakers and a buzz sound comes same sound comes when my computer
is powered off. 

Comment 3 Sven Lankes 2008-07-26 15:48:04 EDT
I used to see this problem too with this machine when it was running F8 and F9.
I have since upgraded to rawhide and with it's current
kernel-2.6.27-0.180.rc0.git11.fc10.i686 the problem is gone.

(Note: I am not suggesting that you should upgrade your production machines to
rawhide! Just that the bug will probably be gone as soon as F10 is released)
Comment 4 Bug Zapper 2008-11-26 04:49:05 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Peter Williams 2008-11-26 14:35:10 EST
On the latest Fedora 9 kernel, I think I may occasionally see this problem, but most of the time the sound works. I'll assume this bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.